Bug 390581 - Segfault with xinerama enabled
Summary: Segfault with xinerama enabled
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: 8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-19 16:13 UTC by Chris Lumens
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-30 15:30:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (72.66 KB, text/plain)
2007-11-19 16:13 UTC, Chris Lumens
no flags Details

Description Chris Lumens 2007-11-19 16:13:32 UTC
With the following s-c-display generated xorg.conf, I am getting the attached
traceback.

Section "ServerLayout"
        Identifier     "Multihead layout"
        Screen      0  "Screen0" LeftOf "Screen1"
        Screen      1  "Screen1" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
        Option      "Xinerama" "yes"
        Option      "Clone" "on"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us+inet"
EndSection

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "LCD Panel 1280x1024"
        HorizSync    31.5 - 64.0
        VertRefresh  56.0 - 65.0
        Option      "dpms"
EndSection

Section "Monitor"
        Identifier   "Monitor1"
        VendorName   "Monitor Vendor"
        ModelName    "Acer AL1714"
        HorizSync    30.0 - 82.0
        VertRefresh  50.0 - 75.0
        Option      "dpms"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
EndSection

Section "Device"
        Identifier  "Videocard1"
        Driver      "radeon"
        VendorName  "Videocard Vendor"
        BoardName   "ATI Technologies Inc RV370 [Sapphire X550 Silent]"
        BusID       "PCI:5:0:1"
        Screen      1
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        Monitor    "Monitor1"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection

Section "Screen"
        Identifier "Screen1"
        Device     "Videocard1"
        Monitor    "Monitor1"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024"
        EndSubSection
EndSection

Comment 1 Chris Lumens 2007-11-19 16:13:32 UTC
Created attachment 263611 [details]
xorg log file

Comment 2 Dave Airlie 2007-11-30 03:48:00 UTC
this should be fixed in updates-testing in that the server should no longer crash.

However Xinerama is no longer support in the F8 ATI driver, only randr 1.2.

Use xrandr to setup outputs. or read xorg.conf manual page.

Comment 3 Chris Lumens 2007-11-30 15:30:20 UTC
Works fine with the packages out of koji, thanks.


Note You need to log in before you can comment on or make changes to this bug.